Computer Security
[EN] securityvulns.ru no-pyccku


librpc.dll library multiple security vulnerabilities
Published:04.03.2010
Source:
SecurityVulns ID:10673
Type:library
Threat Level:
6/10
Description:Multiple buffer overflows and integer overflows.
CVE:CVE-2009-2754 (Integer signedness error in the authentication functionality in librpc.dll in the Informix Storage Manager (ISM) Portmapper service (aka portmap.exe), as used in IBM Informix Dynamic Server (IDS) 10.x before 10.00.TC9 and 11.x before 11.10.TC3 and EMC Legato NetWorker, allows remote attackers to execute arbitrary code via a crafted parameter size that triggers a stack-based buffer overflow.)
 CVE-2009-2753 (Multiple buffer overflows in the authentication functionality in librpc.dll in the Informix Storage Manager (ISM) Portmapper service (aka portmap.exe), as used in IBM Informix Dynamic Server (IDS) 10.x before 10.00.TC9 and 11.x before 11.10.TC3, allow remote attackers to execute arbitrary code via a crafted parameter size.)
Original documentdocumentZDI, ZDI-10-022: IBM Informix librpc.dll Multiple Remote Code Execution Vulnerabilities (04.03.2010)
 documentZDI, ZDI-10-023: Multiple Vendor librpc.dll Signedness Error Remote Code Execution Vulnerability (04.03.2010)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod